net.dontdrinkandroot.visualization.transformer

## Class Triangle

- java.lang.Object
- - net.dontdrinkandroot.visualization.transformer.Triangle

    public class Triangle
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Triangle(Point2D p1, Point2D p2, Point2D p3)`

### Method Summary

Methods
`boolean` `equals(Object obj)`
`Point2D` `getCenter()`
`Set<PointEdge>` `getEdges()`
`double` `getRadius()`
`int` `hashCode()`
`boolean` `inside(Point2D p)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Triangle

    public Triangle(Point2D p1,
            Point2D p2,
            Point2D p3)

### Method Detail

#### getEdges

    public Set<PointEdge> getEdges()

#### inside

    public boolean inside(Point2D p)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### getCenter

    public Point2D getCenter()

#### getRadius

    public double getRadius()